Debian Bug report logs - #693310
ITP: spiped -- create secure pipes between socket addresses

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Peter Pentchev <roam@ringlet.net>

Date: Thu, 15 Nov 2012 12:33:01 UTC

Owned by: Peter Pentchev <roam@ringlet.net>

Severity: wishlist

Fixed in version spiped/1.3.1-1

Done: Peter Pentchev <roam@ringlet.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, roam@ringlet.net, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#693310; Package wnpp. (Thu, 15 Nov 2012 12:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Pentchev <roam@ringlet.net>:
New Bug report received and forwarded. Copy sent to roam@ringlet.net, debian-devel@lists.debian.org, wnpp@debian.org. (Thu, 15 Nov 2012 12:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Pentchev <roam@ringlet.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: spiped -- create secure pipes between socket addresses
Date: Thu, 15 Nov 2012 14:18:29 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Peter Pentchev <roam@ringlet.net>

* Package name    : spiped
  Version         : 1.2.2
  Upstream Author : Colin Percival <cperciva@tarsnap.com>
* URL             : http://www.tarsnap.com/spiped.html
* License         : BSD-2
  Programming Lang: C
  Description     : create secure pipes between socket addresses

spiped (pronounced "ess-pipe-dee") is a utility for creating symmetrically
encrypted and authenticated pipes between socket addresses, so that one may
connect to one address (e.g., a UNIX socket on localhost) and transparently
have a connection established to another address (e.g., a UNIX socket on a
different system).  This is similar to 'ssh -L' functionality, but does not
use SSH and requires a pre-shared symmetric key.

spipe (pronounced "ess-pipe") is a utility which acts as an spiped protocol
client (i.e., connects to an spiped daemon), taking input from the standard
input and writing data read back to the standard output.

-- 
Peter Pentchev	roam@ringlet.net roam@FreeBSD.org peter@packetscale.com
PGP key:	http://people.FreeBSD.org/~roam/roam.key.asc
Key fingerprint 2EE7 A7A5 17FC 124C F115  C354 651E EFB0 2527 DF13
If I were you, who would be reading this sentence?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#693310; Package wnpp. (Thu, 15 Nov 2012 13:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Peter Pentchev <roam@ringlet.net>. (Thu, 15 Nov 2012 13:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 693310@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Peter Pentchev <roam@ringlet.net>, 693310@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#693310: ITP: spiped -- create secure pipes between socket addresses
Date: Thu, 15 Nov 2012 21:12:53 +0800
On Thu, Nov 15, 2012 at 8:18 PM, Peter Pentchev wrote:

>   Description     : create secure pipes between socket addresses
>
> spiped (pronounced "ess-pipe-dee") is a utility for creating symmetrically
> encrypted and authenticated pipes between socket addresses, so that one may
> connect to one address (e.g., a UNIX socket on localhost) and transparently
> have a connection established to another address (e.g., a UNIX socket on a
> different system).  This is similar to 'ssh -L' functionality, but does not
> use SSH and requires a pre-shared symmetric key.
>
> spipe (pronounced "ess-pipe") is a utility which acts as an spiped protocol
> client (i.e., connects to an spiped daemon), taking input from the standard
> input and writing data read back to the standard output.

Sounds similar to socat, which can connect endpoints (including SSL ones).

stunnel is similar too.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#693310; Package wnpp. (Thu, 15 Nov 2012 13:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Pentchev <roam@ringlet.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 15 Nov 2012 13:36:05 GMT) Full text and rfc822 format available.

Message #15 received at 693310@bugs.debian.org (full text, mbox):

From: Peter Pentchev <roam@ringlet.net>
To: Paul Wise <pabs@debian.org>
Cc: 693310@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#693310: ITP: spiped -- create secure pipes between socket addresses
Date: Thu, 15 Nov 2012 15:26:52 +0200
[Message part 1 (text/plain, inline)]
On Thu, Nov 15, 2012 at 09:12:53PM +0800, Paul Wise wrote:
> On Thu, Nov 15, 2012 at 8:18 PM, Peter Pentchev wrote:
> 
> >   Description     : create secure pipes between socket addresses
> >
> > spiped (pronounced "ess-pipe-dee") is a utility for creating symmetrically
> > encrypted and authenticated pipes between socket addresses, so that one may
> > connect to one address (e.g., a UNIX socket on localhost) and transparently
> > have a connection established to another address (e.g., a UNIX socket on a
> > different system).  This is similar to 'ssh -L' functionality, but does not
> > use SSH and requires a pre-shared symmetric key.
> >
> > spipe (pronounced "ess-pipe") is a utility which acts as an spiped protocol
> > client (i.e., connects to an spiped daemon), taking input from the standard
> > input and writing data read back to the standard output.
> 
> Sounds similar to socat, which can connect endpoints (including SSL ones).
> 
> stunnel is similar too.

Thanks for your comments!

I am familiar with Stunnel (I maintained the FreeBSD port for several
years), and I have indeed examined the Swiss army knife that is socat,
too.  IMHO the advantages of spiped lie in its simplicity, its lean and
mean design for doing just one thing and doing it well (and yes, I am
quite aware that this is pretty much exactly how socat started Way Back
When :)) and its speed.  It does not attempt to start a full-blown
OpenSSL session, it uses just symmetric cryptography with a preshared
key (and an optional, on by default, Diffie-Hellman session key
exchange) for robust, high-load client-server connections (as witnessed
by its origin in the Tarsnap project).

I personally think that it would be a useful alternative to have in
Debian; of course, if people's opinion leans the other way, I would be
prepared to withdraw the ITP.

G'luck,
Peter


-- 
Peter Pentchev	roam@ringlet.net roam@FreeBSD.org peter@packetscale.com
PGP key:	http://people.FreeBSD.org/~roam/roam.key.asc
Key fingerprint 2EE7 A7A5 17FC 124C F115  C354 651E EFB0 2527 DF13
If you think this sentence is confusing, then change one pig.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#693310; Package wnpp. (Thu, 15 Nov 2012 17:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Peter Pentchev <roam@ringlet.net>. (Thu, 15 Nov 2012 17:48:03 GMT) Full text and rfc822 format available.

Message #20 received at 693310@bugs.debian.org (full text, mbox):

From: Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>
To: Peter Pentchev <roam@ringlet.net>, 693310@bugs.debian.org
Subject: Re: Bug#693310: ITP: spiped -- create secure pipes between socket addresses
Date: Thu, 15 Nov 2012 18:37:50 +0100 (CET)
On Thu, 15 Nov 2012, Peter Pentchev wrote:
> On Thu, Nov 15, 2012 at 09:12:53PM +0800, Paul Wise wrote:
> > On Thu, Nov 15, 2012 at 8:18 PM, Peter Pentchev wrote:
> >
> > >   Description     : create secure pipes between socket addresses

[...]

> I personally think that it would be a useful alternative to have in
> Debian; of course, if people's opinion leans the other way, I would be
> prepared to withdraw the ITP.

I think you should go ahead with the package.  It sounds like a nice
alternative.


Cheers,

-- 
Cristian



Added blocking bug(s) of 693310: 729374 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Tue, 12 Nov 2013 16:30:21 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 14 Nov 2013 07:09:05 GMT) Full text and rfc822 format available.

Reply sent to Peter Pentchev <roam@ringlet.net>:
You have taken responsibility. (Sat, 30 Nov 2013 00:03:06 GMT) Full text and rfc822 format available.

Notification sent to Peter Pentchev <roam@ringlet.net>:
Bug acknowledged by developer. (Sat, 30 Nov 2013 00:03:06 GMT) Full text and rfc822 format available.

Message #29 received at 693310-close@bugs.debian.org (full text, mbox):

From: Peter Pentchev <roam@ringlet.net>
To: 693310-close@bugs.debian.org
Subject: Bug#693310: fixed in spiped 1.3.1-1
Date: Sat, 30 Nov 2013 00:00:26 +0000
Source: spiped
Source-Version: 1.3.1-1

We believe that the bug you reported is fixed in the latest version of
spiped, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693310@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Pentchev <roam@ringlet.net> (supplier of updated spiped package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 13 Nov 2013 11:37:10 +0200
Source: spiped
Binary: spiped
Architecture: source amd64
Version: 1.3.1-1
Distribution: unstable
Urgency: low
Maintainer: Peter Pentchev <roam@ringlet.net>
Changed-By: Peter Pentchev <roam@ringlet.net>
Description: 
 spiped     - create secure pipes between socket addresses
Closes: 693310
Changes: 
 spiped (1.3.1-1) unstable; urgency=low
 .
   * Initial release.  Closes: #693310
Checksums-Sha1: 
 371e2c59c82356552e343b82cf59dee9703a3b07 1801 spiped_1.3.1-1.dsc
 3151caaad24a48c0a1b22e6000ece5b74942859f 59362 spiped_1.3.1.orig.tar.gz
 517709b8f30fa4d42ddb87cd6a2a8250256c784c 4358 spiped_1.3.1-1.debian.tar.gz
 f997f10a3288fb097f3ce8d481acc05a4d559299 36228 spiped_1.3.1-1_amd64.deb
Checksums-Sha256: 
 d6442965adcb5ca56d2bc347dbf32c25b3e9996277fb24fa14091b6bb275a1eb 1801 spiped_1.3.1-1.dsc
 8a58a983be460b88ed5a105201a0f0afacb83382208761837a62871dcca42fee 59362 spiped_1.3.1.orig.tar.gz
 be8e8291af92317d4ddf9af8b202d1b8a3b5d006665b294f84b4ddeae848d478 4358 spiped_1.3.1-1.debian.tar.gz
 82f497b4d723c698ae4c259d6cfb9e6c92e33a52babb55296576b52b9879332e 36228 spiped_1.3.1-1_amd64.deb
Files: 
 1775114893d5faf2ff07be54e870ac8d 1801 utils optional spiped_1.3.1-1.dsc
 9f76ab46d588ea12a3ef73b80ee90ffe 59362 utils optional spiped_1.3.1.orig.tar.gz
 4b1ada7b0bc22909e85e99e03e2aca74 4358 utils optional spiped_1.3.1-1.debian.tar.gz
 9eb5c1fdac90f6fff5567abc68211274 36228 utils optional spiped_1.3.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSg9VUAAoJEJWkL+g1NSX5QNMQAJ7FQ4fXk73TUvZKKww2fiin
sWLTvCkupRGKkoQpadf8qjQ5Wk6Pcc/S2Mi7VGEJG0sAgCdm2HuB3wOs8GdJcy/H
H/k57VRkQZIvNegHcf0dvdzvG8cPXQW5OPWkfFPKQrXTPRnjB/w1QK5Et5DuLJxU
wjxtdszIN/5nPdvmAMklpqVMw5zIHyrh1FBbND4u9iI6JDdgr38zFZXuEnANCcjh
+FIP7FbVkGiSXDhQxOTgue1FBKdWeWhHj5wB00MuvB5dgd+RyG6dy7zg9zMoU5jX
8jvx/UyX1y9rl6KTYMveKaLJdvBiWVwZkrkB+PrUO7cUw5eDUce6ppnrBGvBZy7b
3EVVcHCsZIzzy8Mi96cx3sXH6Gcgjooxq3hMIowgd7jGiRVZ+5eswv8fklg0y1ts
IovzqwpuphK5AVH8PqAVhq5GCEld7vJsRIKTpFdfvQqOlu4XuhtXZA0EfvCLYG6C
GI811dDkvqEf8hwRzVpoDo5PijQrPXsXJIEaRKvBcV1QRILKinHZIDB1pnyoK/RJ
cGFzAXEc35WS5HG4hbrcgxG/tsDBfHMhtShjNEoxnnRQXlKegVzYPszY67tbMhz5
TJQgR0xKSQJHjate8mEqNC9paofaNdIy7raFrf3JdI9yR+EHNfJT4T0M2JdQxdbk
kY7uZtIAInwJaoW5OI79
=kixG
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Dec 2013 07:27:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:37:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.